## Apache Zeta Components Manual :: Docs For Class ezcDbMssqlOptions

### Database::ezcDbMssqlOptions

### Class ezcDbMssqlOptions

Class containing the options for MS SQL Server connections

Source for this file: /Database/src/options/identifiers.php

    ezcBaseOptions
       |
       --ezcDbMssqlOptions

Version: | //autogentag//

### Constants

`QUOTES_COMPLIANT = 0` | Constant represents mode of identifiers quoting that compliant to SQL92. Sets QUOTED_IDENTIFIERS ON for MS SQL Server connection. and treats double quotes as quoting characters for identifiers.
`QUOTES_GUESS = 2` | Recommended ( and default ) mode for identifiers quoting. Gets current QUOTED_IDENTIFIERS value for MS SQL Server connection and changes ezcDbMssqlHandler's quoting identifier characters correspondently if it's necessary. QUOTED_IDENTIFIERS value for connection will not be changed.
`QUOTES_LEGACY = 1` | Constant represents mode of identifiers quoting that corresponds to QUOTE_IDENTIFIERS OFF for MS SQL Server connection. Sets QUOTED_IDENTIFIERS to OFF and treats '[' and ']' as quoting characters for identifiers.
`QUOTES_UNTOUCHED = 3` | Constant represents mode of identifiers quoting that not touch any settings related to quoting identifiers. Could be used for minimizing amount of requests to MS SQL Server and for optimization.

### Properties

int | read/write | `$quoteIdentifier` Mode of quoting identifiers.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcDbMssqlOptions | `__construct( [ $options = array()] )` Creates an ezcDbMssqlOptions object with default option values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcDbMssqlOptions __construct( [ $options = array()] )

Creates an ezcDbMssqlOptions object with default option values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3